Page MenuHomePhabricator

scudo: Add a dump of primary allocation sizes to malloc_info output.
ClosedPublic

Authored by pcc on Feb 5 2020, 4:22 PM.

Details

Summary

This will be useful for optimizing the size class map.

Diff Detail

Event Timeline

pcc created this revision.Feb 5 2020, 4:22 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptFeb 5 2020, 4:23 PM
Herald added a subscriber: Restricted Project. · View Herald Transcript

Unit tests: pass. 62518 tests passed, 0 failed and 844 were skipped.

clang-tidy: pass.

clang-format: fail. Please format your changes with clang-format by running git-clang-format HEAD^ or applying this patch.

Build artifacts: clang-tidy.txt, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

Pre-merge checks is in beta. Report issue. Please join beta or enable it for your project.

cryptoad added inline comments.Feb 6 2020, 9:07 AM
compiler-rt/lib/scudo/standalone/wrappers_c.inc
185

Isn't this going to be huge? 128k*sizeof(uptr), so like 1mb of stack?

pcc marked an inline comment as done.Feb 6 2020, 9:19 AM
pcc added inline comments.
compiler-rt/lib/scudo/standalone/wrappers_c.inc
185

Yeah, I'll move it to the heap.

pcc updated this revision to Diff 243303.Feb 7 2020, 3:36 PM
pcc marked an inline comment as done.
  • Use heap
pcc updated this revision to Diff 243314.Feb 7 2020, 4:26 PM
  • Zero initialize array
cryptoad accepted this revision.Feb 10 2020, 9:26 AM
This revision is now accepted and ready to land.Feb 10 2020, 9:26 AM
This revision was automatically updated to reflect the committed changes.